<?php

namespace App\Torrentio\Client\Rule\DownloadOptionFilter;

use App\Torrentio\Result\ResultFactory;

class Resolution
{

    public function __construct(
        public string $expectedValue
    ) {}

    public function __invoke(ResultFactory $result): bool
    {
        return $result->resolution === $this->expectedValue;
    }
}
